Bug 1308555 - Langpacks Installation With RPM Weak Dependencies
Langpacks Installation With RPM Weak Dependencies
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag Nemade
ChangeAcceptedF24, SystemWideChange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 08:48 EST by Jan Kurik
Modified: 2016-07-25 07:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-25 07:48:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2016-02-15 08:48:38 EST
This is a tracking bug for Change: Langpacks Installation With RPM Weak Dependencies
For more details, see: https://fedoraproject.org//wiki/Changes/LangpacksInstallationWithRPMWeakDependencies

Langpacks installations is re-designed using language metapackages langpacks-<langcode> and RPM weak dependencies (Supplements tag).
Comment 1 Jan Kurik 2016-02-24 09:26:11 EST
On 2016-Feb-23, we have reached Fedora 24 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-Feb-26 meeting.  Contingency plan for System Wide Changes, if planned for Alpha (or in case of serious doubts regarding Change completion), will be activated.
Comment 2 Parag Nemade 2016-02-24 09:55:37 EST
This Change is testable already :)
Comment 3 Jan Kurik 2016-04-20 11:01:40 EDT
On 2016-Apr-19 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 24 release. At this point all the Changes not at least in in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan
Comment 4 Parag Nemade 2016-04-20 11:34:54 EDT
Thanks Jan for pinging here. Here is update on this Change.

Yes we have implemented this already. Code is complete. Testing is going on. Basic functionality of this Change is working fine. Langpacks are getting installed using Supplements: weakdep. 

The only thing that we also needed is that the Fedora products media/iso to package/compose langpacks packages is not happening currently but this can be considered different issue.

Note You need to log in before you can comment on or make changes to this bug.